import request from '@/utils/request'

// 查询物资领用申请业务数据记录列表
export function listReserve(query) {
  return request({
    url: '/flow/reserve/list',
    method: 'get',
    params: query
  })
}

// 查询物资领用申请业务数据记录详细
export function getReserve(id) {
  return request({
    url: '/flow/reserve/' + id,
    method: 'get'
  })
}

// 新增物资领用申请业务数据记录
export function addReserve(data) {
  return request({
    url: '/flow/reserve',
    method: 'post',
    data: data
  })
}

// 修改物资领用申请业务数据记录
export function updateReserve(data) {
  return request({
    url: '/flow/reserve',
    method: 'put',
    data: data
  })
}

// 删除物资领用申请业务数据记录
export function delReserve(id) {
  return request({
    url: '/flow/reserve/' + id,
    method: 'delete'
  })
}

// 导出物资领用申请业务数据记录
export function exportReserve(query) {
  return request({
    url: '/flow/reserve/export',
    method: 'get',
    params: query
  })
}